## nx-libs-lite 3.5.0.7

=== Makefile ===
#!/usr/bin/make -f

all: build

build: build-arch build-indep

clean:
	cd nxcomp && test -f Makefile && make $@ || true
	cd nxproxy && test -f Makefile && make $@ || true


distclean:
	cd nxcomp && test -f Makefile && make $@ || true
	cd nxproxy && test -f Makefile && make $@ || true

build-arch:
	cd nxcomp && autoconf && ./configure && make
	cd nxproxy && autoconf && ./configure && make

build-indep:

install:
	cd nxcomp && make install
	cd nxproxy && make install

uninstall:
	cd nxcomp && make uninstall
	cd nxproxy && make uninstall

=== debian/changelog ===
nx-libs-lite (3.5.0.7-2) unstable; urgency=low

  * use sa_restorer flag only where it is available, fixes FTBFS on ia64

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 Jan 2012 08:46:12 +0100

nx-libs-lite (3.5.0.7-1) unstable; urgency=low

  [ Mike Gabriel ]
  * Initial package build (closes: #610145, #627803).
  * New upstream (NX-redistributed) release.
  * Fix homepage field in debian/control.

  [ Reinhard Tartler ]
  * Simplify installation of nxcomp/nxproxy upstream changelogs.
  * upload to unstable.
  * drop unnecessary lintian overrides.
  * fix installation paths for the libraries.
  * change source package name to nx-libs-lite
  * simplify setting of CFLAGS

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 12 Jan 2012 17:24:33 +0100

=== debian/control ===
Source: nx-libs-lite
Section: x11
Priority: optional
Maintainer: X2Go Packaging Team <pkg-x2go-devel@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends:
 autoconf,
 debhelper (>= 7.0.50~),
 libjpeg-dev,
 libpng12-dev,
 quilt (>= 0.46-7~),
 x11proto-core-dev,
 zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://wiki.x2go.org
Vcs-Git: git://git.debian.org/git/collab-maint/x2go/nx-libs-lite.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/nx-libs-lite.git;a=shortlog

Package: nxproxy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NX proxy
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the NX proxy (client) binary.

Package: libxcomp3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: nxcomp (<=3.5.1)
Replaces: nxcomp
Description: NX X compression library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the compression library.

Package: libxcomp-dev
Section: libdevel
Architecture: any
Depends: libxcomp3 (= ${binary:Version}), ${misc:Depends}
Breaks: nxcomp-dev (<=3.5.1)
Replaces: nxcomp-dev
Description: NX X compression library headers
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the compression library (header files).

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

%:
	dh $@

override_dh_auto_install:

override_dh_installchangelogs:
	dh_installchangelogs -p nxproxy nxproxy/CHANGELOG
	dh_installchangelogs -p libxcomp3 -p libxcomp-dev nxcomp/CHANGELOG

## nx-libs-lite 3.5.0.10

=== Makefile ===
#!/usr/bin/make -f

all: build

build: build-arch build-indep

clean:
	test -d nx-X11 && cd nx-X11 && test -f Makefile && make $@ || true
	test -d nxcomp && cd nxcomp && test -f Makefile && make $@ || true
	test -d nxcompext && cd nxcompext && test -f Makefile && make $@ || true
	test -d nxcompshad && cd nxcompshad && test -f Makefile && make $@ || true
	test -d nxproxy && cd nxproxy && test -f Makefile && make $@ || true


distclean:
	test -d nx-X11 && cd nx-X11 && test -f Makefile && make $@ || true
	test -d nxcomp && cd nxcomp && test -f Makefile && make $@ || true
	test -d nxcompext && cd nxcompext && test -f Makefile && make $@ || true
	test -d nxcompshad && cd nxcompshad && test -f Makefile && make $@ || true
	test -d nxproxy && cd nxproxy && test -f Makefile && make $@ || true

build-arch:
	test -d nxcomp && cd nxcomp && autoconf
	test -d nxcompext && cd nxcompext && autoconf
	test -d nxcompshad && cd nxcompshad && autoconf
	test -d nx-X11 && cd nx-X11 && make World
	test -d nxproxy && cd nxproxy && autoconf && ./configure && make

build-indep:

install:
	test -d nxcomp && cd nxcomp && make install
	test -d nxcompext && cd nxcompext && make install
	test -d nxcompshad && cd nxcompshad && make install
	test -d nx-X11 && cd nx-X11 && make install
	test -d nxproxy && cd nxproxy && make install

uninstall:
	test -d nxcomp && cd nxcomp && make uninstall
	test -d nxcompext && cd nxcompext && make uninstall
	test -d nxcompshad && cd nxcompshad && make uninstall
	test -d nx-X11 && cd nx-X11 && make uninstall
	test -d nxproxy && cd nxproxy && make uninstall

=== debian/changelog ===
nx-libs-lite (3.5.0.10-1) unstable; urgency=low

  * New upstream release
    - drop sa_restorer flag, better patch is upstream now.
    - (hopefully) Fixes FTBFS on ia64 for good.
  * Fix the top-level makefile

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 07 Feb 2012 14:24:23 +0100

## nx-libs-lite 3.5.0.12

=== Makefile ===
#!/usr/bin/make -f

CONFIGURE=./configure

%:
	if test -f nxcomp/Makefile; then ${MAKE} -C nxcomp $@; fi
	if test -f nxproxy/Makefile; then ${MAKE} -C nxproxy $@; fi
	if test -d nx-X11; then \
	    if test -f nxcompext/Makefile; then ${MAKE} -C nxcompext $@; fi; \
	    if test -f nxcompshad/Makefile; then ${MAKE} -C nxcompshad $@; fi; \
	    if test -f nx-X11/Makefile; then ${MAKE} -C nx-X11 $@; fi; \
	fi

all: build

test:
	echo "No testing for NX (redistributed)"

build-lite:
	cd nxcomp && autoconf && (${CONFIGURE}) && ${MAKE}
	cd nxproxy && autoconf && (${CONFIGURE}) && ${MAKE}

build-full:
# in the full case, we rely on "magic" in the nx-X11 imake-based makefiles...
	cd nxcomp && autoconf
	cd nxcompext && autoconf
	cd nxcompshad && autoconf
	cd nx-X11 && ${MAKE} World
	cd nxproxy && autoconf && (${CONFIGURE}) && ${MAKE}

build:
	if ! test -d nx-X11; then \
	    ${MAKE} build-lite; \
	else \
	    ${MAKE} build-full; \
	fi

=== debian/changelog ===
nx-libs-lite (3.5.0.12-1~bpo60+2) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * No change upload to get this tarball integerated into the new archive
    infrastructure.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Mar 2013 21:05:29 +0100

nx-libs-lite (3.5.0.12-1) unstable; urgency=low

  * New upstream release.
  * Enable parallel build.
  * Build-Depend on libpng-dev, not libpng12-dev (closes: #662448). Upstream
    has fixed building against libpng 1.5.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 22 Feb 2012 22:08:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  autoconf,
  debhelper (>= 7.0.50~),
  libjpeg-dev,
- libpng12-dev,
+ libpng-dev,
  quilt (>= 0.46-7~),
  x11proto-core-dev,
  zlib1g-dev

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CFLAGS = -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_install:

=== debian/watch ===
version=3
http://code.x2go.org/releases/source/nx-libs/nx-libs_(.+)-lite\.tar\.gz

## nx-libs-lite 3.5.0.27

=== debian/changelog ===
nx-libs-lite (3.5.0.27-1) unstable; urgency=medium

  * New upstream release.
  * debian/nxproxy.docs:
    + Add a short notice about NX security implications.
      (Closes: #714775).
  * debian/copyright:
    + Update author patch information.
    + Refer to GPL-2 file in /usr/share/common-licenses (not GPL).
  * debian/control:
    + Bump Standards: to 3.9.5. No changes needed.
    + Use Alioth-canonical Vcs-*: fields.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jun 2014 16:37:54 +0200

nx-libs-lite (3.5.0.20-2) unstable; urgency=low

  * /debian/nxproxy.install:
    - Install nxproxy executable to /usr/lib/nx/bin/. (Closes: #707022).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 11 May 2013 20:30:01 +0200

nx-libs-lite (3.5.0.20-1) unstable; urgency=low

  * New upstream release. (Closes: #703327).
  * /debian/control:
    + Use my DD mail address in Uploaders: field.
    + Use multi-line fields.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 May 2013 10:40:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: X2Go Packaging Team <pkg-x2go-devel@lists.alioth.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
+ Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
  autoconf,
  debhelper (>= 7.0.50~),
@@ -12,10 +12,10 @@
  libpng-dev,
  quilt (>= 0.46-7~),
  x11proto-core-dev,
- zlib1g-dev
-Standards-Version: 3.9.2
+ zlib1g-dev,
+Standards-Version: 3.9.5
 Homepage: http://wiki.x2go.org
-Vcs-Git: git://git.debian.org/git/collab-maint/x2go/nx-libs-lite.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/x2go/nx-libs-lite.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/nx-libs-lite.git;a=shortlog
 
 Package: nxproxy
@@ -30,9 +30,13 @@
 
 Package: libxcomp3
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: nxcomp (<=3.5.1)
-Replaces: nxcomp
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ nxcomp (<= 3.5.1),
+Replaces:
+ nxcomp,
 Description: NX X compression library
  NX is a software suite which implements very efficient
  compression of the X11 protocol. This increases performance when
@@ -43,9 +47,13 @@
 Package: libxcomp-dev
 Section: libdevel
 Architecture: any
-Depends: libxcomp3 (= ${binary:Version}), ${misc:Depends}
-Breaks: nxcomp-dev (<=3.5.1)
-Replaces: nxcomp-dev
+Depends:
+ libxcomp3 (= ${binary:Version}),
+ ${misc:Depends},
+Breaks:
+ nxcomp-dev (<= 3.5.1),
+Replaces:
+ nxcomp-dev,
 Description: NX X compression library headers
  NX is a software suite which implements very efficient
  compression of the X11 protocol. This increases performance when

## nx-libs-lite 3.5.0.32

=== debian/changelog ===
nx-libs-lite (3.5.0.32-1) unstable; urgency=medium

  * New upstream release.
  * debian/libxcomp3.docs:
    + Add README.on-retroactive-DXPC-license to bin:package libxcomp3. Document
      retroactive DXPC relicensing process in May 2015. (Closes: #784565).
  * debian/control:
    + Don't use subfolder x2go/ on Alioth's collab-maint anymore.
    + Bump Standards: to 3.9.6. No changes needed.
    + Turn into multi-arch package.
    + Add debug bin:packages.
  * debian/rules:
    + Add get-orig-source rule.
    + Harden the build process.
    + Use doc/changelog as upstream changelog.
  * debian/rules, debian/*.install:
    + Use upstream's Makefile install rule to install files into the
      bin:packages.
  * debian/watch:
    + Adapt to new file name pattern used for upstream tarball (underscore ->
      dash).
  * debian/copyright:
    + Update license information for DXPC (retroactively licensed as
      BSD-2-clause).
    + Mention authors of various new patches applied on original NoMachine
      code.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Jul 2015 08:00:43 +0200

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,14 @@
  quilt (>= 0.46-7~),
  x11proto-core-dev,
  zlib1g-dev,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://wiki.x2go.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/x2go/nx-libs-lite.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/nx-libs-lite.git;a=shortlog
+Vcs-Git: git://anonscm.debian.org/collab-maint/nx-libs-lite.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nx-libs-lite.git;a=shortlog
 
 Package: nxproxy
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: NX proxy
  NX is a software suite which implements very efficient
@@ -28,8 +29,31 @@
  .
  This package provides the NX proxy (client) binary.
 
+Package: nxproxy-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: foreign
+Depends:
+ nxproxy (= ${binary:Version}),
+ ${misc:Depends},
+Suggests:
+ libxcomp3-dbg,
+Breaks: nx-x11-dbg (<< 2:3.5.0.29-0x2go2~),
+Description: NX proxy (debug package)
+ NX is a software suite which implements very efficient
+ compression of the X11 protocol. This increases performance when
+ using X applications over a network, especially a slow one.
+ .
+ This package provides the NX proxy (client) binary (debug symbols).
+ .
+ This package contains detached debug symbols that help generating more
+ helpful backtraces. You can safely remove it if you do not intend to
+ debug NX packages on this system.
+
 Package: libxcomp3
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -47,6 +71,7 @@
 Package: libxcomp-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  libxcomp3 (= ${binary:Version}),
  ${misc:Depends},
@@ -60,3 +85,25 @@
  using X applications over a network, especially a slow one.
  .
  This package provides the compression library (header files).
+
+Package: libxcomp3-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ libxcomp3 (= ${binary:Version}),
+ ${misc:Depends},
+Breaks: nx-x11-dbg (<< 2:3.5.0.29-0x2go2~),
+Description: nx-X11 compression library (debug package)
+ NX is a software suite which implements very efficient
+ compression of the X11 protocol. This increases performance when
+ using X applications over a network, especially a slow one.
+ .
+ This package provides the compression library (debug symbols).
+ .
+ This package contains detached debug symbols that help generating more
+ helpful backtraces. You can safely remove it if you do not intend to
+ debug NX packages on this system.

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export PREFIX     = /usr
export LIBDIR     = /usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
export INCLUDEDIR = /usr/include/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)

%:
	CONFIGURE="./configure --prefix=$(PREFIX) --libdir=$(LIBDIR) --includedir=$(INCLUDEDIR)" dh $@ --parallel

override_dh_install:
	rm debian/tmp/usr/lib/*/libXcomp.a
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog

override_dh_strip:
	dh_strip -plibxcomp3 --dbg-package=libxcomp3-dbg
	dh_strip -pnxproxy --dbg-package=nxproxy-dbg

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
http://code.x2go.org/releases/source/nx-libs/nx-libs-(.+)-lite\.tar\.gz
